summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2003-09-10 18:53:23 +0000
committerMike Frysinger <vapier@gentoo.org>2003-09-10 18:53:23 +0000
commitfb0b9785cad15a74d5b34987e255f6abcda8384d (patch)
treebb060f45b7f01ae116cfcabd2150193b896e19b7 /games-util
parentAdd local dv USE flag for mjpegtools. (diff)
downloadhistorical-fb0b9785cad15a74d5b34987e255f6abcda8384d.tar.gz
historical-fb0b9785cad15a74d5b34987e255f6abcda8384d.tar.bz2
historical-fb0b9785cad15a74d5b34987e255f6abcda8384d.zip
welcome to games-util
Diffstat (limited to 'games-util')
-rw-r--r--games-util/atlas/ChangeLog12
-rw-r--r--games-util/atlas/Manifest3
-rw-r--r--games-util/atlas/atlas-0.2.2.ebuild55
-rw-r--r--games-util/atlas/files/digest-atlas-0.2.21
-rw-r--r--games-util/qstat/ChangeLog38
-rw-r--r--games-util/qstat/Manifest6
-rw-r--r--games-util/qstat/files/digest-qstat-25b-r11
-rw-r--r--games-util/qstat/files/digest-qstat-25c1
-rw-r--r--games-util/qstat/files/qstat-25b.gcc3-fix13
-rw-r--r--games-util/qstat/qstat-25b-r1.ebuild34
-rw-r--r--games-util/qstat/qstat-25c.ebuild28
-rw-r--r--games-util/searchtool/ChangeLog8
-rw-r--r--games-util/searchtool/Manifest4
-rw-r--r--games-util/searchtool/files/digest-searchtool-0.4.41
-rw-r--r--games-util/searchtool/files/searchtool2
-rw-r--r--games-util/searchtool/searchtool-0.4.4.ebuild34
-rw-r--r--games-util/uglygs/ChangeLog29
-rw-r--r--games-util/uglygs/Manifest5
-rw-r--r--games-util/uglygs/files/0_rc11-uglygs.conf.patch31
-rw-r--r--games-util/uglygs/files/0_rc11-uglygs.pl.patch131
-rw-r--r--games-util/uglygs/files/digest-uglygs-0_rc111
-rw-r--r--games-util/uglygs/uglygs-0_rc11.ebuild59
-rw-r--r--games-util/umodpack/ChangeLog12
-rw-r--r--games-util/umodpack/Manifest3
-rw-r--r--games-util/umodpack/files/digest-umodpack-0.5_beta161
-rw-r--r--games-util/umodpack/umodpack-0.5_beta16.ebuild34
-rw-r--r--games-util/xboxgw/ChangeLog8
-rw-r--r--games-util/xboxgw/Manifest3
-rw-r--r--games-util/xboxgw/files/digest-xboxgw-1.0822
-rw-r--r--games-util/xboxgw/xboxgw-1.082.ebuild28
-rw-r--r--games-util/xqf/ChangeLog53
-rw-r--r--games-util/xqf/Manifest3
-rw-r--r--games-util/xqf/files/digest-xqf-0.9.121
-rw-r--r--games-util/xqf/xqf-0.9.12.ebuild32
34 files changed, 677 insertions, 0 deletions
diff --git a/games-util/atlas/ChangeLog b/games-util/atlas/ChangeLog
new file mode 100644
index 000000000000..b94153e6ce98
--- /dev/null
+++ b/games-util/atlas/ChangeLog
@@ -0,0 +1,12 @@
+# ChangeLog for app-games/atlas
+# Copyright 2000-2003 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/atlas/ChangeLog,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+ 03 Sep 2003; Michael Sterrett <msterret@gentoo.org> atlas-0.2.2.ebuild:
+ header fix
+
+*atlas-0.2.2 (26 Aug 2003)
+
+ 26 Aug 2003; Michael Sterrett <msterret@gentoo.org> atlas-0.2.2.ebuild:
+ initial commit. ebuild draft from Jeff Thorsett via bug 25540
+
diff --git a/games-util/atlas/Manifest b/games-util/atlas/Manifest
new file mode 100644
index 000000000000..b6ec71349ee8
--- /dev/null
+++ b/games-util/atlas/Manifest
@@ -0,0 +1,3 @@
+MD5 ab245d4fe5035e9b6a45e1f0efce980d atlas-0.2.2.ebuild 1643
+MD5 8c8c8b1bcbeca7983b0c75762b782e0a ChangeLog 470
+MD5 c22c70a726175c84565f4182fff72185 files/digest-atlas-0.2.2 63
diff --git a/games-util/atlas/atlas-0.2.2.ebuild b/games-util/atlas/atlas-0.2.2.ebuild
new file mode 100644
index 000000000000..565dd2f5146a
--- /dev/null
+++ b/games-util/atlas/atlas-0.2.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/atlas/atlas-0.2.2.ebuild,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+inherit games
+
+MY_P="Atlas-${PV}"
+S="${WORKDIR}/${MY_P}"
+DESCRIPTION="Chart Program to use with Flightgear Flight Simulator"
+HOMEPAGE="http://atlas.sourceforge.net/"
+SRC_URI="mirror://sourceforge/atlas/${MY_P}.tar.gz"
+
+INSDESTTREE="/usr/games/lib/FlightGear"
+LICENSE="GPL-2"
+KEYWORDS="x86"
+SLOT="0"
+
+DEPEND=">=flightgear-0.8.0
+ >=libpng-1.2.5
+ >=media-libs/plib-1.4
+ virtual/glut"
+
+src_compile() {
+ egamesconf --with-fgbase=/usr/games/lib/FlightGear || die
+ emake || die "emake failed"
+}
+
+src_install() {
+ doins ${S}/src/AtlasPalette || die
+ egamesinstall || die
+ keepdir /usr/games/lib/FlightGear/Atlas
+ keepdir /usr/games/lib/FlightGear/Atlas/lowres
+ dodoc AUTHORS README
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ einfo "You now can make the maps with the following commands:"
+ einfo "/usr/games/bin/Map --atlas=/usr/games/lib/FlightGear/Atlas"
+ einfo "/usr/games/bin/Map --atlas=/usr/games/lib/FlightGear/Atlas/lowres --size=64"
+ echo
+ einfo "To run Atlas concurrently with FlightGear use the following:"
+ einfo "Atlas --path=[path of map images] --udp=[port number]"
+ einfo "and start fgfs with the following switch (or in .fgfsrc):"
+ einfo "--nmea=socket,out,0.5,[host that you run Atlas on],[port number],udp"
+ echo
+}
+
+pkg_postrm() {
+ einfo "You must manually remove the maps if you don't want them around."
+ einfo "They are found in the following directory:"
+ echo
+ einfo "/usr/games/lib/FlightGear/Atlas"
+ echo
+}
diff --git a/games-util/atlas/files/digest-atlas-0.2.2 b/games-util/atlas/files/digest-atlas-0.2.2
new file mode 100644
index 000000000000..4c465fa14141
--- /dev/null
+++ b/games-util/atlas/files/digest-atlas-0.2.2
@@ -0,0 +1 @@
+MD5 a69301f7e762d84c9b3089b87ff7b048 Atlas-0.2.2.tar.gz 156796
diff --git a/games-util/qstat/ChangeLog b/games-util/qstat/ChangeLog
new file mode 100644
index 000000000000..50bcf78a5937
--- /dev/null
+++ b/games-util/qstat/ChangeLog
@@ -0,0 +1,38 @@
+# ChangeLog for app-games/qstat
+# Copyright 2002-2003 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/qstat/ChangeLog,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+*qstat-25c (13 Nov 2002)
+
+ 14 Jan 2003; Jon Nall <nall@gentoo.org> qstat-25c.ebuild :
+ added ~ppc
+
+ 13 Nov 2002; Mike Frysinger <vapier@gentoo.org> :
+ Version bump
+
+*qstat-25b-r1 (16 Sep 2002)
+
+ 16 Sep 2002; Bryon Roche <kain@gentoo.org>
+ qstat-25b-r1.ebuild, files/qstat-25b.gcc3-fix:
+ Off-by-one fix in file-read mode.
+ Gcc-3 fixes.
+
+*qstat-25b (07 Sep 2002)
+
+ 07 Sep 2002; J.Alberto Suárez López <bass@gentoo.org>
+ qstat-25b.ebuild:
+ Bumped version and fix LICENSE. Thanks vapier@netzero.com (SpanKY).
+
+*qstat-24e (29 Mar 2002)
+
+ 17 jul 2002; Jose Alberto Suárez López <bass@gentoo.org> qstat-24e.ebuild :
+ Added LICENSE, KEYWORDS.
+
+ 13 April 2002; Bart Verwilst <verwilst@gentoo.org> Changelog: removed
+ old version, and did some general cleanups in the ebuild.
+
+ 29 Mar 2002; Bruce A. Locke <blocke@shivan.org> ChangeLog :
+ Qstat updated to 24e and ebuild was revamped to make it more version
+ independent
+
+
diff --git a/games-util/qstat/Manifest b/games-util/qstat/Manifest
new file mode 100644
index 000000000000..77e55bbb0b41
--- /dev/null
+++ b/games-util/qstat/Manifest
@@ -0,0 +1,6 @@
+MD5 caf42601ff548efc2f1a6faf7a5014ce ChangeLog 1146
+MD5 2e03c82fca2a8595a9bbe0f238d50504 qstat-25b-r1.ebuild 764
+MD5 21eebdddbfd85b64dad8bf403bdf2f09 qstat-25c.ebuild 669
+MD5 33e28a49c9ed9bcd4caff226689057c4 files/digest-qstat-25b-r1 59
+MD5 e0b0af4302e67d21a77364daf231b37c files/digest-qstat-25c 60
+MD5 01b5a1271052646c1f629dbe63274be7 files/qstat-25b.gcc3-fix 500
diff --git a/games-util/qstat/files/digest-qstat-25b-r1 b/games-util/qstat/files/digest-qstat-25b-r1
new file mode 100644
index 000000000000..7e4b976eb3fd
--- /dev/null
+++ b/games-util/qstat/files/digest-qstat-25b-r1
@@ -0,0 +1 @@
+MD5 37e8b8ee3dfcae3e6e14e3a6f71a8fe1 qstat25b.tar.gz 99457
diff --git a/games-util/qstat/files/digest-qstat-25c b/games-util/qstat/files/digest-qstat-25c
new file mode 100644
index 000000000000..a61a80b2607e
--- /dev/null
+++ b/games-util/qstat/files/digest-qstat-25c
@@ -0,0 +1 @@
+MD5 a936dc3e15ece567378a026737fe45e2 qstat25c.tar.gz 111739
diff --git a/games-util/qstat/files/qstat-25b.gcc3-fix b/games-util/qstat/files/qstat-25b.gcc3-fix
new file mode 100644
index 000000000000..96f30e5b3600
--- /dev/null
+++ b/games-util/qstat/files/qstat-25b.gcc3-fix
@@ -0,0 +1,13 @@
+Binary files qstat25b/.qstat.c.swp and qstat25b.gcc3-fix/.qstat.c.swp differ
+diff -urN qstat25b/qstat.c qstat25b.gcc3-fix/qstat.c
+--- qstat25b/qstat.c Thu Aug 8 15:26:59 2002
++++ qstat25b.gcc3-fix/qstat.c Mon Sep 16 06:35:28 2002
+@@ -1531,7 +1531,7 @@
+ {
+ server_type *type= &types[0];
+ char *t= type_string;
+- while ( *t) *t++= tolower( *t);
++ while ( *t) {*t= tolower( *t);t++;}
+
+ for ( ; type->id != Q_UNKNOWN_TYPE; type++)
+ if ( strcmp( type->type_string, type_string) == 0)
diff --git a/games-util/qstat/qstat-25b-r1.ebuild b/games-util/qstat/qstat-25b-r1.ebuild
new file mode 100644
index 000000000000..25c9e2d9b622
--- /dev/null
+++ b/games-util/qstat/qstat-25b-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/qstat/qstat-25b-r1.ebuild,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+S=${WORKDIR}/${PN}${PV}
+DESCRIPTION="Server statics collector supporting many FPS games"
+SRC_URI="http://www.qstat.org/${PN}${PV}.tar.gz"
+HOMEPAGE="http://www.qstat.org"
+
+KEYWORDS="x86"
+LICENSE="Artistic"
+SLOT="0"
+
+DEPEND="virtual/glibc"
+
+src_unpack() {
+ unpack ${PN}${PV}.tar.gz
+ cd ${S}
+ patch -p1 < ${FILESDIR}/qstat-25b.gcc3-fix
+}
+
+src_compile() {
+ emake CFLAGS="${CFLAGS}" || die
+}
+
+src_install () {
+ dobin qstat
+
+ dosym /usr/bin/qstat /usr/bin/quakestat
+
+ dodoc CHANGES.txt COMPILE.txt
+ dohtml template/*
+ dohtml qstatdoc.html
+}
diff --git a/games-util/qstat/qstat-25c.ebuild b/games-util/qstat/qstat-25c.ebuild
new file mode 100644
index 000000000000..8c15b2d376df
--- /dev/null
+++ b/games-util/qstat/qstat-25c.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/qstat/qstat-25c.ebuild,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+S=${WORKDIR}/${PN}${PV}
+DESCRIPTION="Server statics collector supporting many FPS games"
+SRC_URI="http://www.qstat.org/${PN}${PV}.tar.gz"
+HOMEPAGE="http://www.qstat.org/"
+
+KEYWORDS="x86 ppc"
+LICENSE="Artistic"
+SLOT="0"
+
+DEPEND="virtual/glibc"
+
+src_compile() {
+ emake CFLAGS="${CFLAGS}" || die
+}
+
+src_install () {
+ dobin qstat
+
+ dosym /usr/bin/qstat /usr/bin/quakestat
+
+ dodoc CHANGES.txt COMPILE.txt
+ dohtml template/*
+ dohtml qstatdoc.html
+}
diff --git a/games-util/searchtool/ChangeLog b/games-util/searchtool/ChangeLog
new file mode 100644
index 000000000000..8024fa479c23
--- /dev/null
+++ b/games-util/searchtool/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for app-games/searchtool
+# Copyright 2000-2003 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/searchtool/ChangeLog,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+*searchtool-0.4.4 (21 Jun 2003)
+
+ 21 Jun 2003; Mike Frysinger <vapier@gentoo.org> :
+ Initial import. Ebuild submitted by me for #14712.
diff --git a/games-util/searchtool/Manifest b/games-util/searchtool/Manifest
new file mode 100644
index 000000000000..19ff335c529b
--- /dev/null
+++ b/games-util/searchtool/Manifest
@@ -0,0 +1,4 @@
+MD5 5d80e073b859a49331f54ec2287a75af searchtool-0.4.4.ebuild 776
+MD5 7e41363675e0dd48dc2159811e1f0900 files/digest-searchtool-0.4.4 69
+MD5 0ac82c09c24f0978ca4a403b4e706927 files/searchtool 50
+MD5 041602eeb8b02e8ed8da54ce38db2cb8 ChangeLog 361
diff --git a/games-util/searchtool/files/digest-searchtool-0.4.4 b/games-util/searchtool/files/digest-searchtool-0.4.4
new file mode 100644
index 000000000000..e56188f37c7a
--- /dev/null
+++ b/games-util/searchtool/files/digest-searchtool-0.4.4
@@ -0,0 +1 @@
+MD5 be68734752db3413b3961e19945226a7 searchtool-0.4.4.tar.gz 1180384
diff --git a/games-util/searchtool/files/searchtool b/games-util/searchtool/files/searchtool
new file mode 100644
index 000000000000..9aafcc0d153b
--- /dev/null
+++ b/games-util/searchtool/files/searchtool
@@ -0,0 +1,2 @@
+#!/bin/bash
+java -jar GENTOO_DATADIR/GENTOO_P.jar
diff --git a/games-util/searchtool/searchtool-0.4.4.ebuild b/games-util/searchtool/searchtool-0.4.4.ebuild
new file mode 100644
index 000000000000..09a85041c1ba
--- /dev/null
+++ b/games-util/searchtool/searchtool-0.4.4.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/searchtool/searchtool-0.4.4.ebuild,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+inherit games
+
+DESCRIPTION="server browser for Internet games"
+HOMEPAGE="http://searchtool.sourceforge.net/"
+SRC_URI="mirror://sourceforge/searchtool/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="x86"
+
+DEPEND="dev-java/ant"
+RDEPEND="virtual/jre"
+
+S=${WORKDIR}/${PN}
+
+src_compile() {
+ ant || die
+ sed \
+ -e "s:GENTOO_DATADIR:${GAMES_DATADIR}/${PN}:" \
+ -e "s:GENTOO_P:${P}:" \
+ ${FILESDIR}/searchtool > searchtool
+}
+
+src_install() {
+ insinto ${GAMES_DATADIR}/${PN}
+ doins ${P}.jar
+ dogamesbin searchtool
+ dodoc README
+ prepgamesdirs
+}
diff --git a/games-util/uglygs/ChangeLog b/games-util/uglygs/ChangeLog
new file mode 100644
index 000000000000..61733dc48e6d
--- /dev/null
+++ b/games-util/uglygs/ChangeLog
@@ -0,0 +1,29 @@
+# ChangeLog for app-games/uglygs
+# Copyright 2002-2003 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/uglygs/ChangeLog,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+*uglygs-0_rc11 (08 Sep 2003)
+
+ 08 Sep 2003; Mike Frysinger <vapier@gentoo.org> :
+ Version bump.
+
+*uglygs-0_rc10 (30 Jun 2003)
+
+ 30 Jun 2003; Mike Frysinger <vapier@gentoo.org> :
+ Version bump + move sed's to paches + games.eclass support.
+
+*uglygs-0_rc7 (17 Dec 2002)
+
+ 29 Jun 2003; <msterret@gentoo.org> uglygs-0_rc7.ebuild:
+ use sed -i, emake, fix up things in unpack instead of compile
+
+ 17 Dec 2002; Mike Frysinger <vapier@gentoo.org> :
+ Version bump
+
+*uglygs-0rc5 (23 Oct 2002)
+
+ 06 Dec 2002; Rodney Rees <manson@gentoo.org> :
+ changed sparc ~sparc keywords
+
+ 23 Oct 2002; Mike Frysinger <vapier@gentoo.org> :
+ Initial import. Ebuild submitted by me.
diff --git a/games-util/uglygs/Manifest b/games-util/uglygs/Manifest
new file mode 100644
index 000000000000..6a78a11d41e2
--- /dev/null
+++ b/games-util/uglygs/Manifest
@@ -0,0 +1,5 @@
+MD5 0d53d8d838ecf93c19ae6366a5997159 uglygs-0_rc11.ebuild 1350
+MD5 47fb887656b74fb149e80e56c258b346 files/0_rc11-uglygs.conf.patch 2213
+MD5 9740370abf89112b4187b9b4708ed76d files/0_rc11-uglygs.pl.patch 7040
+MD5 ad1f2dd96cca12e3d914aac377d331f1 files/digest-uglygs-0_rc11 64
+MD5 74701ffac0c4de7fb9479234ce5e2fe9 ChangeLog 883
diff --git a/games-util/uglygs/files/0_rc11-uglygs.conf.patch b/games-util/uglygs/files/0_rc11-uglygs.conf.patch
new file mode 100644
index 000000000000..6ee918c70088
--- /dev/null
+++ b/games-util/uglygs/files/0_rc11-uglygs.conf.patch
@@ -0,0 +1,31 @@
+--- uglygs.conf.orig 2003-06-30 11:16:57.000000000 -0400
++++ uglygs.conf 2003-06-30 11:22:50.000000000 -0400
+@@ -12,22 +12,23 @@
+ $runmode = "loop"; # Run mode, Run as a loop or as a cron Executable
+
+ $configfile = "servers.cfg"; # The Result file to be passed to other programs
+-$qstat = "qstat/qstat"; # The modified qstat file
++$qstat = "GENTOO_DIR/qstat"; # The modified qstat file
+ $cat = "/bin/cat"; # The cat file location
+-$data = "./data"; # Data Directory
+-$tmp = "./tmp"; # Temp Directory
++$data = "GENTOO_DIR/data"; # Data Directory
++$tmp = "GENTOO_DIR/tmp"; # Temp Directory
+ $template = "default"; # Template Directory
++$templates = "GENTOO_DIR/templates"; # Template base directory
+ $staticcfgfile = "$data/servers.static"; # A Static output file to append to final output
+
+ $refresh = "180"; # # If loop is on what is your update rate in sec
+
+ $serverquery = "n"; # Do u want Server Query output y or n
+-$serverqueryfile = "/var/www/html/servers.cfg"; # The output file for server query
++$serverqueryfile = "/home/httpd/htdocs/servers.cfg"; # The output file for server query
+
+ $html = "n"; # Do you want HTML output
+ $htmlgame="l"; # Game List Sort Order p=by-ping, g=by-game, i=by-IP-address, h=by-hostname, n=by-#-players, l=by-list-order
+ $htmlplayer="F"; # Player List Sort Order P=by-ping, F=by-frags, T=by-team
+-$htmldir = "/var/www/html/uglygs"; # The html output Directory
++$htmldir = "/home/httpd/htdocs/uglygs"; # The html output Directory
+ $htmlfile = "servers"; # The html output file
+ $htmlext = "html"; # THe file Ext eg. html, php, pl, asp
+ $htmlalias = "/uglygs"; # The html Directory Alias
diff --git a/games-util/uglygs/files/0_rc11-uglygs.pl.patch b/games-util/uglygs/files/0_rc11-uglygs.pl.patch
new file mode 100644
index 000000000000..8c7f7943c978
--- /dev/null
+++ b/games-util/uglygs/files/0_rc11-uglygs.pl.patch
@@ -0,0 +1,131 @@
+--- uglygs.pl.orig 2003-06-30 11:37:59.000000000 -0400
++++ uglygs.pl 2003-06-30 11:38:30.000000000 -0400
+@@ -8,7 +8,8 @@
+ ########## Contact uglygs@uglypunk.com ##########
+ #########################################################################################################################
+ #########################################################################################################################
+-require 'uglygs.conf';
++$qstatcfg = 'GENTOO_DIR/qstat.cfg';
++require 'GENTOO_DIR/uglygs.conf';
+
+ $VERSION = "rc10";
+
+@@ -23,7 +24,7 @@
+ if (!-f $qstat) { die "Sorry the Qstat file doesn't exist, you may no have compiled it yet"};
+ if (!-d $data) { die "Sorry the data directory doesn't exist, it should be located here: $data"};
+ if (!-d $tmp) { die "Sorry the temp directory doesn't exist, it should be located here: $tmp"};
+-if (!-d "./templates/$template") { die "Sorry the templates/template directory doesnt exist, it should be located here: templates/$template"};
++if (!-d "$templates/$template") { die "Sorry the templates/template directory doesnt exist, it should be located here: $templates/$template"};
+
+ if ($html eq "y"){
+ if (!-f $rrdtool) { die "Sorry the rrdtool file doesn't exist, Please install RRDTOOL"};
+@@ -88,7 +89,7 @@
+ $timemonth = $time - 2592000;
+ $timeyear = $time - 31536000;
+ system(`rm $tmp/*.tmp`);
+-require "templates/$template/graphs.conf";
++require "$templates/$template/graphs.conf";
+
+
+ ################################# Seach everything VERY MESSY #########################
+@@ -96,7 +97,7 @@
+ if ($doscan eq "y"){
+
+
+- open(QSTAT, "|$qstat -cfg qstat/qstat.cfg -maxsim 60 -timeout 8 -Ts ./templates/qstat $qstatcom $addports >> $tmp/serversannounce.tmp" );
++ open(QSTAT, "|$qstat -cfg $qstatcfg -maxsim 60 -timeout 8 -Ts $templates/qstat $qstatcom $addports >> $tmp/serversannounce.tmp" );
+ close(QSTAT);
+
+ if (-s "$tmp/serversannounce.tmp"){
+@@ -121,7 +122,7 @@
+ $defport = $tabledata[2];
+ $defport =~ s/\n//;
+ if ($tabledata[0] eq "Q3S") {
+- open (QSTAT, "$qstat -cfg qstat/qstat.cfg -nh -R -q3s $tabledata[1]:$defport|");
++ open (QSTAT, "$qstat -cfg $qstatcfg -nh -R -q3s $tabledata[1]:$defport|");
+ @qstatoutput = <QSTAT>;
+ $qstatoutput = $qstatoutput[1];
+ if ($qstatoutput =~m/version=Wolf /) {
+@@ -172,7 +173,7 @@
+
+ ############################# SERVER QUERY PROCESSING ###############################
+
+-system( "$qstat -cfg qstat/qstat.cfg -maxsim 60 -timeout 8 -Ts ./templates/sqdata -of $tmp/sqservers.tmp -f $configfile" );
++system( "$qstat -cfg $qstatcfg -maxsim 60 -timeout 8 -Ts $templates/sqdata -of $tmp/sqservers.tmp -f $configfile" );
+
+ open (PROCESS, "< $tmp/sqservers.tmp");
+ @name = <PROCESS>;
+@@ -194,7 +195,7 @@
+ $defport = $tabledata[2];
+ $defport =~ s/\n//;
+ if ($tabledata[0] eq "GPS") {
+- open (QSTAT, "$qstat -cfg qstat/qstat.cfg -nh -R -gps $tabledata[1]:$defport|");
++ open (QSTAT, "$qstat -cfg $qstatcfg -nh -R -gps $tabledata[1]:$defport|");
+ @qstatoutput = <QSTAT>;
+ $qstatoutput = $qstatoutput[1];
+
+@@ -206,7 +207,7 @@
+ close(QSTAT);
+
+ } elsif ($tabledata[0] eq "RWS") {
+- open (QSTAT, "$qstat -cfg qstat/qstat.cfg -nh -R -rws $tabledata[1]:$defport|");
++ open (QSTAT, "$qstat -cfg $qstatcfg -nh -R -rws $tabledata[1]:$defport|");
+ @qstatoutput = <QSTAT>;
+ $qstatoutput = $qstatoutput[1];
+ if ($qstatoutput =~m/protocol=17,/) {
+@@ -218,7 +219,7 @@
+
+
+ } elsif ($tabledata[0] eq "RGS") {
+- open (QSTAT, "$qstat -cfg qstat/qstat.cfg -nh -R -rgs $tabledata[1]:$defport|");
++ open (QSTAT, "$qstat -cfg $qstatcfg -nh -R -rgs $tabledata[1]:$defport|");
+ @qstatoutput = <QSTAT>;
+ $qstatoutput = $qstatoutput[1];
+
+@@ -231,7 +232,7 @@
+ close(QSTAT);
+
+ } elsif ($tabledata[0] eq "SMS") {
+- open (QSTAT, "$qstat -cfg qstat/qstat.cfg -nh -R -sms $tabledata[1]:$defport|");
++ open (QSTAT, "$qstat -cfg $qstatcfg -nh -R -sms $tabledata[1]:$defport|");
+ @qstatoutput = <QSTAT>;
+ $qstatoutput = $qstatoutput[1];
+
+@@ -247,7 +248,7 @@
+
+
+ } elsif ($tabledata[0] eq "GOS") {
+- open (QSTAT, "$qstat -cfg qstat/qstat.cfg -nh -R -gos $tabledata[1]:$defport|");
++ open (QSTAT, "$qstat -cfg $qstatcfg -nh -R -gos $tabledata[1]:$defport|");
+ @qstatoutput = <QSTAT>;
+ $qstatoutput = $qstatoutput[1];
+
+@@ -261,7 +262,7 @@
+
+
+ } elsif ($tabledata[0] eq "SF2S") {
+- open (QSTAT, "$qstat -cfg qstat/qstat.cfg -nh -R -sf2s $tabledata[1]:$defport|");
++ open (QSTAT, "$qstat -cfg $qstatcfg -nh -R -sf2s $tabledata[1]:$defport|");
+ @qstatoutput = <QSTAT>;
+ $qstatoutput = $qstatoutput[1];
+ if ($qstatoutput =~m/version=SOF2MP V1.02t/) {
+@@ -301,7 +302,7 @@
+
+
+ if ($html eq "y"){
+- open(TOTALOUT, "$qstat -cfg qstat/qstat.cfg -R -sort $htmlgame -maxsim 60 -timeout 4 -Th ./templates/$template/header.html -Tt ./templates/$template/footer.html -Ts ./templates/$template/data.html -f $configfile 2> /dev/null |");
++ open(TOTALOUT, "$qstat -cfg $qstatcfg -R -sort $htmlgame -maxsim 60 -timeout 4 -Th $templates/$template/header.html -Tt $templates/$template/footer.html -Ts $templates/$template/data.html -f $configfile 2> /dev/null |");
+ while( $totalline = <TOTALOUT> ){
+ my @totaldata = split(/ /,$totalline);
+ if ($totaldata[0] eq "<!--" and $totaldata[1] eq "gamedetails"){
+@@ -372,7 +373,7 @@
+ $graph = "$tabledata[0]$tabledata[1]$port";
+
+
+- open(QSTAT, "$qstat -cfg qstat/qstat.cfg -R -P -sort $htmlplayer -maxsim 60 -timeout 4 -Th ./templates/$template/gameheader.html -Tt ./templates/$template/gamefooter.html -Ts ./templates/$template/gamedata.html -Tp ./templates/$template/gameplayer.html -$gametype $tabledata[1]:$port | ");
++ open(QSTAT, "$qstat -cfg $qstatcfg -R -P -sort $htmlplayer -maxsim 60 -timeout 4 -Th $templates/$template/gameheader.html -Tt $templates/$template/gamefooter.html -Ts $templates/$template/gamedata.html -Tp $templates/$template/gameplayer.html -$gametype $tabledata[1]:$port | ");
+ while($serverline = <QSTAT>){
+ my @data = split(/ /,$serverline);
+ if ($data[0] eq "<!--" and $data[1] eq "gamedetails"){
+--- uglygs.pl.orig 2003-06-30 13:56:01.000000000 -0400
++++ uglygs.pl 2003-06-30 13:59:17.000000000 -0400
diff --git a/games-util/uglygs/files/digest-uglygs-0_rc11 b/games-util/uglygs/files/digest-uglygs-0_rc11
new file mode 100644
index 000000000000..d9e6f3557d9f
--- /dev/null
+++ b/games-util/uglygs/files/digest-uglygs-0_rc11
@@ -0,0 +1 @@
+MD5 4bf467890e505a1b92ae49a8e17afdcf uglygs-rc11.tar.gz 9066873
diff --git a/games-util/uglygs/uglygs-0_rc11.ebuild b/games-util/uglygs/uglygs-0_rc11.ebuild
new file mode 100644
index 000000000000..4ceafe679072
--- /dev/null
+++ b/games-util/uglygs/uglygs-0_rc11.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/uglygs/uglygs-0_rc11.ebuild,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+inherit games eutils
+
+MY_P=${P/0_/}
+DESCRIPTION="quickly searches the network for game servers"
+HOMEPAGE="http://uglygs.uglypunk.com/"
+SRC_URI="ftp://ftp.uglypunk.com/uglygs/current/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="x86 ppc sparc alpha"
+
+DEPEND=">=sys-apps/sed-4"
+RDEPEND="net-analyzer/rrdtool
+ dev-lang/perl"
+
+S=${WORKDIR}/${MY_P}
+
+UGLY_BASEDIR=${GAMES_LIBDIR}/${PN}
+
+src_unpack() {
+ unpack ${A}
+ cd ${S}
+ epatch ${FILESDIR}/${PV}-uglygs.conf.patch
+ sed -i "s:GENTOO_DIR:${UGLY_BASEDIR}:" uglygs.conf
+ epatch ${FILESDIR}/${PV}-uglygs.pl.patch
+ sed -i "s:GENTOO_DIR:${GAMES_SYSCONFDIR}:" uglygs.pl
+}
+
+src_compile() {
+ cd qstat
+ make CFLAGS="${CFLAGS}" || die
+}
+
+src_install() {
+ insinto ${GAMES_SYSCONFDIR}
+ doins uglygs.conf qstat/qstat.cfg
+
+ dogamesbin uglygs.pl
+
+ dodir ${UGLY_BASEDIR}
+ cp -rf data images templates tmp ${D}/${UGLY_BASEDIR}
+ keepdir ${UGLY_BASEDIR}/tmp
+
+ exeinto ${UGLY_BASEDIR}
+ doexe qstat/qstat
+
+ dodoc CHANGES INSTALL README
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ einfo "Dont forget to setup ${GAMES_SYSCONFDIR}/uglygs.conf and ${GAMES_SYSCONFDIR}/qstat.cfg"
+ games_pkg_postinst
+}
diff --git a/games-util/umodpack/ChangeLog b/games-util/umodpack/ChangeLog
new file mode 100644
index 000000000000..156f1b52ee9d
--- /dev/null
+++ b/games-util/umodpack/ChangeLog
@@ -0,0 +1,12 @@
+# ChangeLog for app-games/umodpack
+# Copyright 2002-2003 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/umodpack/ChangeLog,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+ 02 Aug 2003; Chris Gianelloni <wolf31o2@gentoo.org>
+ umodpack-0.5_beta16.ebuild:
+ Fixed to use mirror://sourceforge
+
+*umodpack-0.5_beta16 (23 Oct 2002)
+
+ 23 Oct 2002; Mike Frysinger <vapier@gentoo.org> :
+ Initial import. Ebuild submitted by me.
diff --git a/games-util/umodpack/Manifest b/games-util/umodpack/Manifest
new file mode 100644
index 000000000000..1180e6f4ded0
--- /dev/null
+++ b/games-util/umodpack/Manifest
@@ -0,0 +1,3 @@
+MD5 33681e07fdc5fcbcfa86323d012baa09 files/digest-umodpack-0.5_beta16 73
+MD5 af3a44ec5853aadbc397fccfc6e5274a umodpack-0.5_beta16.ebuild 883
+MD5 32ce2896ab3defd7af27eb4619ffd56f ChangeLog 471
diff --git a/games-util/umodpack/files/digest-umodpack-0.5_beta16 b/games-util/umodpack/files/digest-umodpack-0.5_beta16
new file mode 100644
index 000000000000..a662097031ee
--- /dev/null
+++ b/games-util/umodpack/files/digest-umodpack-0.5_beta16
@@ -0,0 +1 @@
+MD5 3b13b271208fe72022e265960cda66ad umodpack-0.5b16-nogui.tar.gz 115424
diff --git a/games-util/umodpack/umodpack-0.5_beta16.ebuild b/games-util/umodpack/umodpack-0.5_beta16.ebuild
new file mode 100644
index 000000000000..7f00f4518fb7
--- /dev/null
+++ b/games-util/umodpack/umodpack-0.5_beta16.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/umodpack/umodpack-0.5_beta16.ebuild,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+inherit perl-module
+
+MY_P="${P/_beta/b}"
+DESCRIPTION="portable and useful [un]packer for Unreal Tournament's Umod files"
+HOMEPAGE="http://umodpack.sourceforge.net/"
+SRC_URI="mirror://sourceforge/umodpack/${MY_P}-nogui.tar.gz"
+
+LICENSE="Artistic"
+SLOT="0"
+KEYWORDS="x86 ppc"
+
+DEPEND="dev-lang/perl
+ dev-perl/Archive-Zip
+ dev-perl/Tie-IxHash
+ tcltk? ( dev-perl/perl-tk )
+ X? ( virtual/x11 )"
+
+S=${WORKDIR}/${MY_P}
+
+src_compile() {
+ # remove the stupid perl modules since we already installed em
+ rm -rf {Archive-Zip,Compress-Zlib,Tie-IxHash}*
+ perl-module_src_compile
+}
+
+src_install() {
+ perl-module_src_install
+ dobin umod
+ use X && dobin xumod
+}
diff --git a/games-util/xboxgw/ChangeLog b/games-util/xboxgw/ChangeLog
new file mode 100644
index 000000000000..4100409e004d
--- /dev/null
+++ b/games-util/xboxgw/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for app-games/xboxgw
+# Copyright 2002-2003 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/xboxgw/ChangeLog,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+*xboxgw-1.082 (23 Nov 2002)
+
+ 23 Nov 2002; Mike Frysinger <vapier@gentoo.org> :
+ Initial import. Ebuild submitted by Jeff Ames <jca@po.cwru.edu>.
diff --git a/games-util/xboxgw/Manifest b/games-util/xboxgw/Manifest
new file mode 100644
index 000000000000..a7a590fbf282
--- /dev/null
+++ b/games-util/xboxgw/Manifest
@@ -0,0 +1,3 @@
+MD5 a22431806de4ddd391f6026a7b43dbe4 ChangeLog 363
+MD5 9161b4ae9deaf0e7873829bf2db6f26a xboxgw-1.082.ebuild 755
+MD5 efed66a562004965f5e92faba8dcbbe3 files/digest-xboxgw-1.082 128
diff --git a/games-util/xboxgw/files/digest-xboxgw-1.082 b/games-util/xboxgw/files/digest-xboxgw-1.082
new file mode 100644
index 000000000000..27ca4f5b610a
--- /dev/null
+++ b/games-util/xboxgw/files/digest-xboxgw-1.082
@@ -0,0 +1,2 @@
+MD5 d3fcae426b9fcad8a8855ff96c3436cd xboxgw-1.08-2.tgz 91488
+MD5 3142adb0ed2398ef6f5634d17e378823 hmlibs-1.07-2.i386.tgz 120364
diff --git a/games-util/xboxgw/xboxgw-1.082.ebuild b/games-util/xboxgw/xboxgw-1.082.ebuild
new file mode 100644
index 000000000000..1bb03c3a5022
--- /dev/null
+++ b/games-util/xboxgw/xboxgw-1.082.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/xboxgw/xboxgw-1.082.ebuild,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+XBOXGW_P="${PN}-1.08-2"
+HMLIBS_P="hmlibs-1.07-2"
+DESCRIPTION="Tunnels XBox system link games over the net"
+HOMEPAGE="http://www.xboxgw.com/"
+SRC_URI="http://www.xboxgw.com/rel/dist2.1/tarballs/i386/${XBOXGW_P}.tgz
+ http://www.xboxgw.com/rel/dist2.1/tarballs/i386/${HMLIBS_P}.i386.tgz"
+
+SLOT="0"
+LICENSE="freedist"
+KEYWORDS="x86"
+
+S="${WORKDIR}"
+
+src_install() {
+ cd ${WORKDIR}/${HMLIBS_P}
+ dolib.so *.so
+ dobin hmdbdump
+ insinto /usr/include/hmlibs
+ doins *.h
+
+ cd ${WORKDIR}/${XBOXGW_P}
+ dobin xboxgw xbifsetup
+ dodoc *.txt
+}
diff --git a/games-util/xqf/ChangeLog b/games-util/xqf/ChangeLog
new file mode 100644
index 000000000000..8235fcebefe4
--- /dev/null
+++ b/games-util/xqf/ChangeLog
@@ -0,0 +1,53 @@
+# ChangeLog for app-games/xqf
+# Copyright 2002-2003 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/xqf/ChangeLog,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+ 11 Jul 2003; Michael Sterrett <msterret@gentoo.org> xqf-0.9.12.ebuild:
+ emake error message
+
+*xqf-0.9.12 (23 Jun 2003)
+
+ 23 Jun 2003; Tal Peer <coredumb@gentoo.org> xqf-0.9.12.ebuild:
+ Added gdk-pixbuf dep, fixes #22729.
+
+ 23 Jun 2003; Tal Peer <coredumb@gentoo.org> xqf-0.9.12.ebuild:
+ Bumped version.
+
+*xqf-0.9.10 (21 Dec 2002)
+
+ 14 Jan 2003; Jon Nall <nall@gentoo.org> xqf-0.9.10.ebuild :
+ added ~ppc
+
+ 21 Dec 2002; Mike Frysinger <vapier@gentoo.org> :
+ Version bump #12508 + games eclass support.
+
+*xqf-0.9.10 (20 Nov 2002)
+
+ 20 Nov 2002; Mike Frysinger <vapier@gentoo.org> :
+ Version bump #10990
+
+*xqf-0.9.9 (10 Jul 2002)
+
+ 24 Sep 2002; Mike Frysinger <vapier@gentoo.org> :
+ Depends on newer versions of qstat ... bumbed to 25 and above
+
+ 10 Jul 2002; Seemant Kulleen <seemant@gentoo.org> xqf-0.9.9.ebuild
+ files/digest-xqf-0.9.9 :
+ Version bump, thanks to: christian-neumair@web.de (Christian - Manny
+ Calavera - Neumair) in bug #4825
+
+*xqf-0.9.8 (7 May 2002)
+
+ 17 jul 2002; Jose Alberto Suárez López <bass@gentoo.org> xqf-0.9.8.ebuild :
+ Added LICENSE, KEYWORDS.
+
+ 7 May 2002; Spider <spider@gentoo.org> xqf-0.9.8.ebuild :
+ fix sourceforge mirroring.
+
+ 13 April 2002; Bart Verwilst <verwilst@gentoo.org>: just added a
+ description, and cleaned up the $Header: /var/cvsroot/gentoo-x86/games-util/xqf/ChangeLog,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+*xqf-0.9.8 (6 Apr 2002)
+
+ 6 Apr 2002; Bruce A. Locke <blocke@shivan.org> xqf-0.9.8.ebuild :
+ Initial Version
diff --git a/games-util/xqf/Manifest b/games-util/xqf/Manifest
new file mode 100644
index 000000000000..00f0406786e6
--- /dev/null
+++ b/games-util/xqf/Manifest
@@ -0,0 +1,3 @@
+MD5 7c329ccdaf10dae767229f6dbbbb246c ChangeLog 1710
+MD5 89db39e631446af50bba49874de226ca xqf-0.9.12.ebuild 813
+MD5 6977de588df11305fac6d244f721fd18 files/digest-xqf-0.9.12 62
diff --git a/games-util/xqf/files/digest-xqf-0.9.12 b/games-util/xqf/files/digest-xqf-0.9.12
new file mode 100644
index 000000000000..b6ed5aeb2143
--- /dev/null
+++ b/games-util/xqf/files/digest-xqf-0.9.12
@@ -0,0 +1 @@
+MD5 1e7cc65bf280b3b0a1180f425dd9bbe6 xqf-0.9.12.tar.gz 645514
diff --git a/games-util/xqf/xqf-0.9.12.ebuild b/games-util/xqf/xqf-0.9.12.ebuild
new file mode 100644
index 000000000000..d9716d06aecf
--- /dev/null
+++ b/games-util/xqf/xqf-0.9.12.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2003 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-util/xqf/xqf-0.9.12.ebuild,v 1.1 2003/09/10 18:53:23 vapier Exp $
+
+inherit games
+
+DESCRIPTION="A server browser for many FPS games. It's a frontend for qstat."
+SRC_URI="mirror://sourceforge/xqf/${P}.tar.gz"
+HOMEPAGE="http://www.linuxgames.com/xqf/"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86 ppc"
+IUSE="nls"
+
+DEPEND=">=app-games/qstat-25
+ =x11-libs/gtk+-1.2*
+ sys-devel/libtool
+ sys-apps/bzip2
+ media-libs/gdk-pixbuf"
+RDEPEND="nls? ( sys-devel/gettext )"
+
+src_compile() {
+ egamesconf `use_enable nls` --enable-bzip2 || die
+ emake || die "emake failed"
+}
+
+src_install() {
+ egamesinstall || die
+ dodoc AUTHORS BUGS ChangeLog NEWS README TODO
+ prepgamesdirs
+}